TENMADO(6)

NAME
tenmado - hard-core shoot 'em up game in blue-or-red world

SYNOPSIS
tenmado [ --dump stage ] [ --full-screen ] [ --help ] [ --slow ] [ --stage stage ] [ --undump stage ] [ --undump-default ] [ --version ]

DESCRIPTION
tenmado is a vertically scrolling, late 1990s style (that is, a massive number of enemy shots against a smaller-than-it-looks spaceship) shoot 'em up game. A very accurate collision detection makes it a game of dexterity. If something looks like a triangle, it is a triangle, not a rectangle of similar size.

However, surviving is only 20% of the game. The main feature of tenmado is the "color chain bonus". You can get a very big score (about 100 times bigger than a normal enemy-destruction point) by destroying enemies of the same color successively. It is easy or difficult depending on how greedy you are.

In the game, use cursor keys to move, press space key to shoot (auto-repeat). A joystick is also available for move and shoot. Note that you must plug the joystick before you invoke tenmado. For more information, see the tutorial demo by choosing it from the menu in the title. Also check the README file which can be found at /usr/share/doc/tenmado/README .

OPTIONS

--dump stage
    Write high score data to standard output and exit. Usually you save the output in a file and later use that file as the input of --undump. stage must be between 0 and 5. stage 0 means total score. stage 1 -- 5 means each stage score.

--full-screen
    Run the game in the full screen mode.

--help
    Print a help message and exit.

--slow
    Run the game at the half speed. Technically, the length of waiting between each frame is doubled. This slows down everything in the game, including your ship. The idea is to study the enemy formations for a later (normal speed) play. The animation may be rough because this option gives you only about 16 fps. You can't enter the high score lists with this option.

--stage stage
    Start the game at the specified stage. stage must be between 1 and 5. Note that you can play only one stage (the specified one) and you can't enter the high score lists.

--undump stage
    Read high score data from standard input, save them and exit. The input is usually the output of --dump. stage must be between 0 and 5. stage 0 means total score. stage 1 -- 5 means each stage score. Only the superuser may use this option.

--undump-default
    If at least one high score list is empty, read the default high score data, save them and exit. If not, do nothing. The main purpose of this option is to create high score database files at installation time so that you can set their permission.

--version
    Print version information, license information and the disclaimer, then exit.

BUGS
Please report any bugs you find to Oohara Yuuma <oohara@libra.interq.or.jp>.

AUTHOR
Oohara Yuuma <oohara@libra.interq.or.jp>